<?php defined('SYSPATH') OR die('No direct access allowed.');

class op5reports_Core {
	/**
	 * Find PNP graphs for all objects in the array
	 *
	 * This is *not* free to do.
	 */
	static function get_pnp_for($opts) {
		$pnp_path = Kohana::config('config.pnp4nagios_path');
		if (!$pnp_path)
			return false;

		if (!$opts['use_pnp'])
			return false;

		$pnp_graphs = array();
		$host = false;
		$svc = false;
		foreach ($opts->get_report_members() as $member) {
			if ($opts['report_type'] === 'services' || $opts['report_type'] === 'servicegroups') {
				list($host, $svc) = explode(';', $member);
			}
			else {
				$host = $member;
				$svc = '_HOST_';
			}
			$sources = pnp::get_sources($host, $svc);
			foreach ($sources as $source) {
				$pnp_graphs[] = $pnp_path."image?host=".pnp::clean($host)."&srv=".urlencode(pnp::clean($svc))."&source=$source&start={$opts['start_time']}&end={$opts['end_time']}&display=image";
			}
		}
		return $pnp_graphs;
	}
}
