function toggle_summary_setup_rows(state) {
	if (state) {
		$('.summary_setup_rows').show();
	} else {
		$('.summary_setup_rows').hide();
	}
}
$(document).ready(function() {
	var fancy_str = '';
	if ($('#fancy_content').is(':visible')) {
		fancy_str = '#fancy_content ';
	}

	$(fancy_str  + '#use_summary').live('click', function(ev) {
		toggle_summary_setup_rows(ev.target.checked);
	});
	toggle_summary_setup_rows($(fancy_str  + '#use_summary').get(0).checked);

	$('.fancybox').click(function() {
		var fancy_str = '#fancy_content ';
		// hide the silly fancybox title _below_ the content
		$('.fancy_title').hide();

		if ($('#fancy_content #new_schedule_report_table').is(':visible')
		|| $('#fancy_content #schedule_report_table').is(':visible')) {
			$('div#fancy_inner').css('height', '480px');
		} else {
			if ($('input[name=type]').val() == 'avail') {
				$('div#fancy_inner').css('height', '750px');
				$('div#fancy_outer').css('top', '0');

				if (typeof(use_pnp) != "undefined") {
					set_state('use_pnp', use_pnp);
				}

				var use_summary = $('#use_summary').attr('checked');
				if (use_summary) {
					$('.summary_setup_rows').show();
				}

				$(fancy_str + '#summary_type option[value="' + $('input:hidden[name=summary_type]').val() + '"]').attr('selected', true);
				$(fancy_str + '#alert_types option[value="' + $('input:hidden[name=alert_types]').val() + '"]').attr('selected', true);
				$(fancy_str + '#state_types option[value="' + $('input:hidden[name=state_types]').val() + '"]').attr('selected', true);
				$(fancy_str + '#host_states option[value="' + $('input:hidden[name=host_states]').val() + '"]').attr('selected', true);
				$(fancy_str + '#service_states option[value="' + $('input:hidden[name=service_states]').val() + '"]').attr('selected', true);
				var summary_items = $('input:hidden[name=summary_items]').val();
				summary_items = summary_items != '' ? parseInt(summary_items) : 25;
				$(fancy_str + '#summary_items').attr('value', summary_items);
			} else {
				if ($('input[name=type]').val() == 'sla') {
					$('div#fancy_inner').css('height', '150px');
				}
			}
		}
	});
});

function set_state(field, val)
{
	var fancy_str = '';

	if ($('#fancy_content').is(':visible')) {
		fancy_str = '#fancy_content ';
	}

	$(fancy_str + '#' + field).attr('checked', val);
}

var loadimg = new Image(16,16);
loadimg.src = _site_domain + 'application/media/images/loading_small.gif';

// re-define this function to
// be able to change target controller
function send_report_now(type, id)
{
	if (type=='' || id =='') {
		// missing info
		return false;
	}

	var html_id = 'send_now_' + type + '_' + id;

	$('#' + html_id)
		.css('background', 'url(' + loadimg.src + ') no-repeat scroll 0 0 transparent')
		.css('height', '16px')
		.css('width', '16px')
		.css('float', 'left');

	// since we now support reports generated in
	// other controllers than the reports controller,
	// we have to let the correct controller handle
	// the actual creation and sending of the report.
	var controller = 'op5reports';
	if (type == 'summary') {
		controller = 'summary';
	}

	$.ajax({
		url:_site_domain + _index_page + '/' + controller + '/generate',
		type: 'POST',
		data: {type: type, schedule_id: id},
		success: function(data) {
			if (data == '' || !data.error) {
				jgrowl_message(_reports_schedule_send_ok, _reports_success);
			} else {
				if(data.error) {
					jgrowl_message(_reports_schedule_send_error + ': ' + data.error, _reports_error);
				} else {
					jgrowl_message(_reports_schedule_send_error, _reports_error);
				}
			}
		},
		error: function() {
			jgrowl_message(_reports_schedule_send_error, _reports_error);
		},
		complete: function() {
			setTimeout(function() {restore_sendimg(html_id)}, 1000);
		},
		dataType: 'json'
	});

}

function restore_sendimg(id)
{
	var old_icon = _site_domain + "application/views/icons/16x16/send-report.png";
	$('#' + id)
		.css('background', 'url(' + old_icon + ') no-repeat scroll 0 0 transparent')
		.css('height', '16px')
		.css('width', '16px').css('float', 'left');

}
